POST /v1/images/generations
Method: POSTEndpoint: /v1/images/generations
This section contains endpoint-specific behavior, parameters, or usage notes for this API. Example: seededit flux-kontext
Request Parameters
Header Parameters
text
Content-Type
string
Required
Example:
application/json
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Body Parameters application/json
text
prompt
string
Required
n
integer
Required
model
string
Required
size
string
Required
Example
{
"prompt"
:
"string"
,
"n"
:
0
,
"model"
:
"string"
,
"size"
:
"string"
}Example Request
Shell
bash
curl --location --request POST '/v1/images/generations' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"prompt": "string",
"n": 0,
"model": "string",
"size": "string"
}'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{}